Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.util.spring
Class BeanReferenceOverrider

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.util.spring.BeanReferenceOverrider

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

    public class BeanReferenceOverrider

extends java.lang.Object
implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

Version:
  $Id: BeanReferenceOverrider.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static interface` | `BeanReferenceOverrider.ReferenceUpdater`

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`BeanReferenceOverrider()`

Method Summary
`int` | `getOrder()`
`java.lang.String` | `getOriginalBeanName()`
`java.lang.String` | `getOverridingBeanName()`
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
`protected void` | `process(org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.String beanPath)`
`protected void` | `processValue(java.lang.Object value, BeanReferenceOverrider.ReferenceUpdater updater, java.lang.String propertyPath)`
`void` | `setOrder(int order)`
`void` | `setOriginalBeanName(java.lang.String originalBeanName)`
`void` | `setOverridingBeanName(java.lang.String overridingBeanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanReferenceOverrider

    public BeanReferenceOverrider()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`

### process

    protected void process(org.springframework.beans.factory.config.BeanDefinition beanDefinition,
                           java.lang.String beanPath)

### processValue

    protected void processValue(java.lang.Object value,
                                BeanReferenceOverrider.ReferenceUpdater updater,
                                java.lang.String propertyPath)

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`

### setOrder

    public void setOrder(int order)

### getOriginalBeanName

    public java.lang.String getOriginalBeanName()

### setOriginalBeanName

    public void setOriginalBeanName(java.lang.String originalBeanName)

### getOverridingBeanName

    public java.lang.String getOverridingBeanName()

### setOverridingBeanName

    public void setOverridingBeanName(java.lang.String overridingBeanName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.